com::lomiri::location::service::SystemConfiguration Class Referenceabstract

`#include <system_configuration.h>`

Collaboration diagram for com::lomiri::location::service::SystemConfiguration:

## Public Member Functions

virtual | ~SystemConfiguration ()=default
virtual fs::path | runtime_persistent_data_dir () const =0
virtual PermissionManager::Ptr | create_permission_manager (const std::shared_ptr< core::dbus::Bus > &bus) const =0

## Static Public Member Functions

static SystemConfiguration & | instance ()

## Protected Member Functions

| SystemConfiguration ()=default

## Detailed Description

Definition at line 38 of file system_configuration.h.

## Constructor & Destructor Documentation

## ~SystemConfiguration()

virtual com::lomiri::location::service::SystemConfiguration::~SystemConfiguration | ( |  | ) |

virtual default

## SystemConfiguration()

com::lomiri::location::service::SystemConfiguration::SystemConfiguration | ( |  | ) |

protected default

Referenced by instance().

## Member Function Documentation

## create_permission_manager()

virtual PermissionManager::Ptr com::lomiri::location::service::SystemConfiguration::create_permission_manager | ( | const std::shared_ptr< core::dbus::Bus > & | bus | ) | const

pure virtual

## instance()

SystemConfiguration & com::lomiri::location::service::SystemConfiguration::instance | ( |  | ) |

static

References SystemConfiguration().

Here is the call graph for this function:

## runtime_persistent_data_dir()

virtual fs::path com::lomiri::location::service::SystemConfiguration::runtime_persistent_data_dir | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- system_configuration.h